Page MenuHomePhabricator

decommission es2011.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2011.codfw.wmnet.

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2011

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui moved this task from Triage to In progress on the DBA board.

Change 631329 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2011: Disable notifications

https://gerrit.wikimedia.org/r/631329

Mentioned in SAL (#wikimedia-operations) [2020-10-01T05:43:36Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2011 T264261', diff saved to https://phabricator.wikimedia.org/P12866 and previous config saved to /var/cache/conftool/dbconfig/20201001-054335-marostegui.json

Change 631329 merged by Marostegui:
[operations/puppet@production] es2011: Disable notifications

https://gerrit.wikimedia.org/r/631329

Marostegui updated the task description. (Show Details)Thu, Oct 1, 5:44 AM

Mentioned in SAL (#wikimedia-operations) [2020-10-01T05:45:50Z] <marostegui> Stop MySQL on es2011 T264261

Marostegui updated the task description. (Show Details)Thu, Oct 1, 5:47 AM

Change 631566 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] dns: Remove es2011 dns entries

https://gerrit.wikimedia.org/r/631566

Change 631567 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2011 from dbctl

https://gerrit.wikimedia.org/r/631567

Change 631567 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2011 from dbctl

https://gerrit.wikimedia.org/r/631567

Mentioned in SAL (#wikimedia-operations) [2020-10-02T05:30:20Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2011 from dbctl T264261', diff saved to https://phabricator.wikimedia.org/P12893 and previous config saved to /var/cache/conftool/dbconfig/20201002-053020-marostegui.json

Change 631569 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove es2011 puppet references

https://gerrit.wikimedia.org/r/631569

Change 631569 merged by Marostegui:
[operations/puppet@production] mariadb: Remove es2011 puppet references

https://gerrit.wikimedia.org/r/631569

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es2011.codfw.wmnet

  • es2011.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

Change 631566 merged by Marostegui:
[operations/dns@master] dns: Remove es2011 dns entries

https://gerrit.wikimedia.org/r/631566

Marostegui reassigned this task from Marostegui to Papaul.Fri, Oct 2, 5:49 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added ops-codfw, DC-Ops; removed Patch-For-Review, DBA.

Ready for DC-Ops

Restricted Application added a project: Operations. · View Herald TranscriptFri, Oct 2, 5:50 AM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Mon, Oct 12, 3:58 PM
papaul@asw-b-codfw# show | compare
[edit interfaces interface-range vlan-private1-b-codfw]
-    member ge-1/0/9;
[edit interfaces interface-range disabled]
     member ge-6/0/19 { ... }
+    member ge-1/0/9;
[edit interfaces]
-   ge-1/0/9 {
-       description es2011;
-       enable;
-   }
Papaul updated the task description. (Show Details)Wed, Oct 14, 3:45 PM
Papaul closed this task as Resolved.Thu, Oct 15, 5:51 PM
Papaul updated the task description. (Show Details)

complete